#include "common.bmx.debug.win32.x86.h"
static BBString _s0={
	&bbStringClass,
	1,
	{48}
};
static BBString _s1={
	&bbStringClass,
	1,
	{49}
};
static BBString _s2={
	&bbStringClass,
	1,
	{50}
};
struct BBDebugScope_3{int kind; const char *name; BBDebugDecl decls[4]; };
static int _bb_newton_dynamics_common_inited = 0;
int _bb_newton_dynamics_common(){
	if (!_bb_newton_dynamics_common_inited) {
		_bb_newton_dynamics_common_inited = 1;
		__bb_brl_blitz_blitz();
		_bb_newton_dynamics_source();
		struct BBDebugScope_3 __scope = {
			BBDEBUGSCOPE_FUNCTION,
			"common",
			{
				{
					BBDEBUGDECL_CONST,
					"NEWTON_DYNAMIC_BODY",
					"i",
					.const_value=&_s0
				},
				{
					BBDEBUGDECL_CONST,
					"NEWTON_KINEMATIC_BODY",
					"i",
					.const_value=&_s1
				},
				{
					BBDEBUGDECL_CONST,
					"NEWTON_DEFORMABLE_BODY",
					"i",
					.const_value=&_s2
				},
				BBDEBUGDECL_END 
			}
		};
		bbOnDebugEnterScope(&__scope);
		bbOnDebugLeaveScope();
		return 0;
	}
	return 0;
}